Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.insert
Class IdentifierGeneratingInsert

    java.lang.Object
      org.hibernate.sql.Insert
          org.hibernate.id.insert.IdentifierGeneratingInsert

Direct Known Subclasses:
  InsertSelectIdentityInsert, SequenceIdentityGenerator.NoCommentsInsert

    public class IdentifierGeneratingInsert

extends Insert

Nothing more than a distinguishing subclass of Insert used to indicate intent. Some subclasses of this also provided some additional functionality or semantic to the genernated SQL statement string.

Constructor Summary
`IdentifierGeneratingInsert(Dialect dialect)`

Method Summary

Methods inherited from class org.hibernate.sql.Insert
`addColumn, addColumn, addColumn, addColumns, addColumns, addColumns, addIdentityColumn, getDialect, setComment, setTableName, toStatementString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierGeneratingInsert

    public IdentifierGeneratingInsert(Dialect dialect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.